import request from '@/config/axios'

// 客户信息 API
export const homesApi = {
  // 查询卡片信息
  getHomeInfoFirst: async (params: any) => {
    return await request.get({ url: `/visit/home/getHomeInfoFirst`, params })
  },
  // 竖柱状图数据
  getHomeInfoBfztj: async (params: any) => {
    return await request.get({ url: `/visit/home/getHomeInfoBfztj`, params })
  },
  // 折线图数据
  getHomeInfoBfrtj: async (params: any) => {
    return await request.get({ url: `/visit/home/getHomeInfoBfrtj`, params })
  },
  // 客户性质等级占比情况
  getHomeInfoKhxzdjzbqk: async (params: any) => {
    return await request.get({ url: `/visit/home/getHomeInfoKhxzdjzbqk`, params })
  },
  // 拜访人均分布情况
  getHomeInfoBfrjfbqk: async (params: any) => {
    return await request.get({ url: `/visit/home/getHomeInfoBfrjfbqk`, params })
  },
  // 客户拜访方式占比情况
  getHomeInfoKhbffszbqk: async (params: any) => {
    return await request.get({ url: `/visit/home/getHomeInfoKhbffszbqk`, params })
  },
  // 客户部门占比情况
  getHomeInfoKhbmzbqk: async (params: any) => {
    return await request.get({ url: `/visit/home/getHomeInfoKhbmzbqk`, params })
  },
  // 客户拜访类型占比情况
  getHomeInfoKhbflxzbqk: async (params: any) => {
    return await request.get({ url: `/visit/home/getHomeInfoKhbflxzbqk`, params })
  },
  // 拜访产品类型占比情况
  getHomeInfoBfcplxzbqk: async (params: any) => {
    return await request.get({ url: `/visit/home/getHomeInfoBfcplxzbqk`, params })
  },
  // 地图逆解析
  getMapGeocoder: async (params: any) => {
    return await request.get({ url: `/visit/home/api/map/geocoder`, params })
  },
}
